Skip to main content
GET
/
api
/
products
/
search
Search Products
curl --request GET \
  --url https://api.merchantops.ai/api/products/search
{
  "items": [
    {
      "id": "<string>",
      "key": "<string>",
      "productType": {},
      "source": "<string>",
      "confidence": 123,
      "createdAt": "<string>",
      "createdBy": "<string>",
      "enrichmentScore": 123,
      "enrichmentSources": [
        "<string>"
      ],
      "errorMessage": "<string>",
      "isPublished": false,
      "job_id": "<string>",
      "labels": [
        "<string>"
      ],
      "lakehouseMatched": true,
      "lakehousePropertiesCount": 123,
      "langfuseTraceId": "<string>",
      "lastModifiedAt": "<string>",
      "lastModifiedBy": "<string>",
      "properties": {},
      "properties_metadata": {},
      "propertyCount": 0,
      "publish_chips": [
        {}
      ],
      "publish_status": "<string>",
      "scrapeWarnings": [
        {}
      ],
      "status": "<string>",
      "version": 1
    }
  ],
  "query": "<string>",
  "total": 123
}

Headers

authorization
string | null
X-Organization-ID
string | null

Query Parameters

q
string
required

Search query

limit
integer
default:20

Maximum results

Required range: 1 <= x <= 100
all_sources
boolean
default:false

Return all product sources (not just latest version)

Cookies

stytch_session
string | null

Response

Successful Response

Response model for search results.

items
ProductResponse · object[]
required
query
string
required
total
integer
required